#
# spec file for package libfm-qt
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libfm-qt
Version:        0.11.1
Release:        2.2
Summary:        Library providing components to build desktop file managers
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://lxqt.org
Source:         https://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:        https://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        libfm-qt.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  cmake(KF5WindowSystem)
# Needs private headers, see xdndworkaround.cpp
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  libqt5-qttools-devel
BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libfm) >= 1.2.0
BuildRequires:  pkgconfig(libmenu-cache) >= 0.4.0
BuildRequires:  pkgconfig(x11)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libfm-qt is the Qt port of libfm, a library providing components to
build desktop file managers.

%package -n libfm-qt3
Summary:        Library providing components to build desktop file managers
Group:          System/Libraries
Conflicts:      pcmanfm <= 0.10.0
Recommends:     %{name}-lang

%description -n libfm-qt3
libfm-qt is the Qt port of libfm, a library providing components to
build desktop file managers.

%package -n libfm-qt-devel
Summary:        Development files for libfm-qt
Group:          Development/Libraries/C and C++
Requires:       libfm-qt3 >= %{version}

%description -n libfm-qt-devel
Libfm-Qt libraries for development

%prep
%setup -q

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install

%post -n libfm-qt3 -p /sbin/ldconfig
%postun -n libfm-qt3 -p /sbin/ldconfig

%files -n libfm-qt3
%defattr(-,root,root)
%doc LICENSE README.md
%{_libdir}/libfm-qt.so.3
%{_libdir}/libfm-qt.so.3.0.0

%files -n libfm-qt-devel
%defattr(-,root,root)
%doc %{_datadir}/cmake/fm-qt
%{_includedir}/libfm-qt/
%{_libdir}/libfm-qt.so
%{_libdir}/pkgconfig/libfm-qt.pc
%{_datadir}/cmake/fm-qt/fm-qt-config-version.cmake
%{_datadir}/cmake/fm-qt/fm-qt-config.cmake
%{_datadir}/cmake/fm-qt/fm-qt-targets-*.cmake
%{_datadir}/cmake/fm-qt/fm-qt-targets.cmake

%changelog
* Fri Sep 30 2016 jengelh@inai.de
- Update description. Remove redundant requires/provides.
* Tue Sep 27 2016 mvetter@suse.com
- Install LICENSE and README.md
* Sat Sep 24 2016 mvetter@suse.com
- Initial package for 0.11.1
- It's a split out of libfm-qt from pcmanfm-qt
- Get spec file from X11:LXQt:git and adapt
- Add keyring and asc file
